use crate::prelude::*;

pub fn add_player(mut commands: Commands) {
    commands
        .spawn()
        .insert(Player)
        .insert(Name("Player 1".to_string()));
}

pub fn greet_player(query: Query<&Name, With<Player>>) {
    for name in query.iter() {
        println!("Hello, {}!", name.0);
    }
}
